<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::velocity Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1velocity.html">velocity</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">units::velocity Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace for unit types and containers representing velocity values  
<a href="namespaceunits_1_1velocity.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa5a62e11856816435b05aac78855f987"><td class="memItemLeft" align="right" valign="top"><a id="aa5a62e11856816435b05aac78855f987"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">meters_per_second_t</a> &amp;obj)</td></tr>
<tr class="separator:aa5a62e11856816435b05aac78855f987"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fa59b3bbfe4a9e060fbdfdb66cecb39"><td class="memItemLeft" align="right" valign="top"><a id="a0fa59b3bbfe4a9e060fbdfdb66cecb39"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">meters_per_second_t</a> &amp;obj)</td></tr>
<tr class="separator:a0fa59b3bbfe4a9e060fbdfdb66cecb39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adad5371666f76ddb52d48ac354e93894"><td class="memItemLeft" align="right" valign="top"><a id="adad5371666f76ddb52d48ac354e93894"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">feet_per_second_t</a> &amp;obj)</td></tr>
<tr class="separator:adad5371666f76ddb52d48ac354e93894"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80302e9471d254ebe98e4330dc560b58"><td class="memItemLeft" align="right" valign="top"><a id="a80302e9471d254ebe98e4330dc560b58"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">feet_per_second_t</a> &amp;obj)</td></tr>
<tr class="separator:a80302e9471d254ebe98e4330dc560b58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4326aa5c73c3a87ee4acb79cff9dcbac"><td class="memItemLeft" align="right" valign="top"><a id="a4326aa5c73c3a87ee4acb79cff9dcbac"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">miles_per_hour_t</a> &amp;obj)</td></tr>
<tr class="separator:a4326aa5c73c3a87ee4acb79cff9dcbac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb830c556c0eccd632ca383ece0d2e7b"><td class="memItemLeft" align="right" valign="top"><a id="acb830c556c0eccd632ca383ece0d2e7b"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">miles_per_hour_t</a> &amp;obj)</td></tr>
<tr class="separator:acb830c556c0eccd632ca383ece0d2e7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af42cebec45842e758b4fd6b8dae90741"><td class="memItemLeft" align="right" valign="top"><a id="af42cebec45842e758b4fd6b8dae90741"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">kilometers_per_hour_t</a> &amp;obj)</td></tr>
<tr class="separator:af42cebec45842e758b4fd6b8dae90741"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30ebdf6ed97f7793f7faec32c32a04c6"><td class="memItemLeft" align="right" valign="top"><a id="a30ebdf6ed97f7793f7faec32c32a04c6"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">kilometers_per_hour_t</a> &amp;obj)</td></tr>
<tr class="separator:a30ebdf6ed97f7793f7faec32c32a04c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeefdaa501167ce8eedfc8d28f77cc144"><td class="memItemLeft" align="right" valign="top"><a id="aeefdaa501167ce8eedfc8d28f77cc144"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">knot_t</a> &amp;obj)</td></tr>
<tr class="separator:aeefdaa501167ce8eedfc8d28f77cc144"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a449b0d62700bba9dee2f5e7addb94d62"><td class="memItemLeft" align="right" valign="top"><a id="a449b0d62700bba9dee2f5e7addb94d62"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">knot_t</a> &amp;obj)</td></tr>
<tr class="separator:a449b0d62700bba9dee2f5e7addb94d62"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace for unit types and containers representing velocity values </p>
<p>The SI unit for velocity is <code>meters_per_second</code>, and the corresponding <code><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types.">base_unit</a></code> category is <code>velocity_unit</code>. <a class="anchor" id="velocityContainers"></a></p><dl class="section see"><dt>See also</dt><dd>See <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> for more information on <a class="el" href="structunits_1_1unit.html" title="Type representing an arbitrary unit.">unit</a> type containers. </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:57 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
